Subject: Re: [PATCH 1/6] Convert bonding timers to workqueues

From: Jay Vosburgh <[email-masked]>
Date: Mon, 22 Oct 2007 11:57:17 -0700

Jeff Garzik <[email-masked]> wrote:
[...]
>I wasn't aware this brand-new code is a bug fix?
>
>Normally brand new code needs to be posted and reviewed and committed to a
>tree -before- the merge window opens.

	I had thought this was going in ok, as you'd attempted to apply
it after the IPoIB stuff a week or so ago, but it needed to be rebased
and you'd had concerns about bisect.

	In any event, I'd argue it's changes to fix locking bugs
(various "sleep with lock held" and ASSERT_RTNLs, e.g., bug 7974 on
bugzilla.kernel.org); this isn't a feature add or a refactor just for
efficiency.

	 -J

---
	-Jay Vosburgh, IBM Linux Technology Center, [email-masked]